[Ironruby-core] Cucumber with IronRuby

Mohammad Azam lists at ruby-forum.com
Mon Mar 1 10:08:37 EST 2010


I don't know why I keep getting the following exception when I try to
run cucumber with Ironruby.

C:\Projects\ILoveIronRuby\ILoveIronRuby\IronRubyConsoleApp>icucumber
features/pr
ime.feature --no-color
syntax error, unexpected IDENTIFIER, expecting '{', or DO, or '('
(SyntaxError)
:0:in `require'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/../lib/cucumber/rb_support/r
b_language.rb:101:in `load_code_file'
custom_require.rb:30:in `require'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/../lib/cucumber/rb_support/r
b_language.rb:46:in `step_definitions_for'
polyglot.rb:69:in `require'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/../lib/cucumber/step_mother.
rb:118:in `load_code_file'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/../lib/cucumber/step_mother.
rb:110:in `load_code_files'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/../lib/cucumber/step_mother.
rb:109:in `load_code_files'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/../lib/cucumber/cli/main.rb:
48:in `execute!'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/../lib/cucumber/cli/main.rb:
23:in `execute'
:0:in `each'
c:/ruby/lib/ruby/gems/1.8/gems/cucumber-0.3.101/bin/cucumber:9
c:/ruby/bin/cucumber:19
:0:in `load'


I have even updated the path in my icucumber.bat file as follows:

@ECHO OFF
REM This is to tell IronRuby where to find gems.
SET GEM_PATH=c:\ruby\lib\ruby\gems\1.8
@"C:\DevTools\ironruby-1.0-rc1\bin\ir.exe" "c:\ruby\bin\cucumber"

%*

Thanks,
Azam
-- 
Posted via http://www.ruby-forum.com/.


More information about the Ironruby-core mailing list